require "Dialogs"
Box("hola", "", "", "", 0, 0, nil, nil, 1)
Box("", "", "", "", 0, 0, nil, nil, 1)
Bubble("hola", "rightwide", 0, 0, 0, 0, 1)
Bubble("", "", 0, 0, 0, 0, 1)
Dialog("hola", {X = 250, Y = 260}, nil, nil, 1)
Dialog("", nil, nil, nil, 1)

timer = 0
Black = CreateSprite("Pixel","Top")
Black.MoveTo(320, 240)
Black.Scale(640, 480)
Black.color = {0,0,0}
Cargador = CreateSprite("Bowsy Attacks Sprites/Bowsy/Car/Aturded/1")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Aturded/2")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Aturded/3")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Aturded/4")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Inside Front/1")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Inside Front/2")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Inside Front/3")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Inside Front/4")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Out Front/1")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Out Front/2")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Out Front/3")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Out Front/4")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Out Left/1")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Out Left/2")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Out Left/3")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Out Left/4")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Out Right/1")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Out Right/2")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Out Right/3")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Coming Out Right/4")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Hurt/1")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Hurt/2")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Hurt/3")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Shooting Front/1")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Shooting Front/2")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Shooting Front/3")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Shooting Left/1")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Shooting Left/2")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Shooting Left/3")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Shooting Right/1")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Shooting Right/2")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Shooting Right/3")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Smiling/1")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Smiling/2")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Smiling/3")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Throwing Front/5")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Throwing Front/6")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Throwing Front/7")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Throwing Front/8")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Throwing Front/9")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Throwing Front/10")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Throwing Front/11")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Throwing Front/12")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Car/Empty")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Intro/1")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Intro/2")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Intro/3")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Intro/4")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Intro/5")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Intro/6")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Intro/7")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Intro/8")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Intro/9")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Intro/10")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Intro/11")
Cargador.Set("Bowsy Attacks Sprites/Bowsy/Dead")
Cargador.Set("Bowsy Attacks Sprites/Flames/Explotion/1")
Cargador.Set("Bowsy Attacks Sprites/Flames/Explotion/2")
Cargador.Set("Bowsy Attacks Sprites/Flames/Explotion/3")
Cargador.Set("Bowsy Attacks Sprites/Flames/Explotion/4")
for i=1,8 do
	Cargador.Set("Bowsy Attacks Sprites/Flames/InFloor/"..i)
end
for i=1,5 do
	Cargador.Set("Bowsy Attacks Sprites/Flames/"..i)
end
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Front/Aturded/1")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Front/Aturded/2")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Front/Aturded/3")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Front/Aturded/4")
for i=1,9 do
	Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Front/Cannon Angry/"..i)
end
for i=1,8 do
	Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Front/Cannon Normal/"..i)
end
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Front/Angry")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Front/Confuse")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Front/Normal")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Front/Sad")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Left/Angry")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Left/Normal")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Left/Sad")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Right/Angry")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Right/Normal")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Right/Sad")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Shocks/1")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Shocks/2")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Shocks/3")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/Shocks/4")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/1")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/2")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/3")
Cargador.Set("Bowsy Attacks Sprites/Helikoopa/4")
Cargador.Set("Bowsy Attacks Sprites/Shell/1")
Cargador.Set("Bowsy Attacks Sprites/Shell/2")
Cargador.Set("Bowsy Attacks Sprites/Shell/3")
Cargador.Set("Bowsy Attacks Sprites/Shell/4")
Cargador.Set("Bowsy Attacks Sprites/Smoke/1")
Cargador.Set("Bowsy Attacks Sprites/Smoke/2")
Cargador.Set("Bowsy Attacks Sprites/Smoke/3")
Cargador.Set("Bowsy Attacks Sprites/Smoke/4")
Cargador.Set("Bowsy Attacks Sprites/Arrow")
Cargador.Set("Bowsy Attacks Sprites/Ball")
Cargador.Set("Bowsy Attacks Sprites/boom")
Cargador.Set("Bowsy Attacks Sprites/Hammer")
Cargador.Set("Bowsy Attacks Sprites/Spike")
for i=135,238 do
	Cargador.Set("Bullets/Bones/Super/"..i)
end
Cargador.Set("Bullets/Bones/Big")
Cargador.Set("Bullets/Bones/Body")
Cargador.Set("Bullets/Bones/BodyS")
Cargador.Set("Bullets/Bones/BoneP")
Cargador.Set("Bullets/Bones/BoneS")
Cargador.Set("Bullets/Bones/Broken Bone")
Cargador.Set("Bullets/Bones/Bunch")
Cargador.Set("Bullets/Bones/BunchBonesPaps")
Cargador.Set("Bullets/Bones/BunchBonesSans")
Cargador.Set("Bullets/Bones/Cool")
Cargador.Set("Bullets/Bones/Dude")
Cargador.Set("Bullets/Bones/Dude")
Cargador.Set("Bullets/Bones/Head")
Cargador.Set("Bullets/Bones/HeadS")
Cargador.Set("Bullets/Bones/Left Bone")
Cargador.Set("Bullets/Bones/Long Bone")
Cargador.Set("Bullets/Bones/Masive")
Cargador.Set("Bullets/Bones/Right Bone v2")
Cargador.Set("Bullets/Bones/Right Bone")
Cargador.Set("Bullets/Bones/Skate")
Cargador.Set("Bullets/Bones/Spam")
Cargador.Set("Bullets/Bones/Special")
Cargador.Set("Bullets/GB Papyrus/0")
Cargador.Set("Bullets/GB Papyrus/1")
Cargador.Set("Bullets/GB Papyrus/Left")
Cargador.Set("Bullets/GB Papyrus/Right")
for i=0,5 do
	Cargador.Set("Bullets/GB Sans/"..i)
end
Cargador.Set("Bullets/Magical Platforms/28")
Cargador.Set("Bullets/Magical Platforms/35")
Cargador.Set("Bullets/Magical Platforms/48")
Cargador.Set("Bullets/Magical Platforms/70")
Cargador.Set("Bullets/Magical Platforms/80")
Cargador.Set("Bullets/Magical Platforms/96")
Cargador.Set("Bullets/Magical Platforms/Special")
Cargador.Set("Bullets/Platforms/28")
Cargador.Set("Bullets/Platforms/35")
Cargador.Set("Bullets/Platforms/48")
Cargador.Set("Bullets/Platforms/70")
Cargador.Set("Bullets/Platforms/80")
Cargador.Set("Bullets/Platforms/96")
Cargador.Set("Bullets/Platforms/Special")
Cargador.Set("Bullets/Arrow Blue")
Cargador.Set("Bullets/Arrow Red")
Cargador.Set("Bullets/Arrow Yellow")
Cargador.Set("Bullets/Carro Volteado")
Cargador.Set("Bullets/Carro")
Cargador.Set("Bullets/GB Laser 2")
Cargador.Set("Bullets/GB Laser")
Cargador.Set("Bullets/GB Rafaga 1")
Cargador.Set("Bullets/GB Rafaga 2")
Cargador.Set("Bullets/Pelota")
Cargador.Set("Bullets/Smoke")
Cargador.Set("Bullets/Spear")
Cargador.Set("Bullets/Watch Out")
local idiomas = {"English", "Spanish"}
for i=1,2 do
	Cargador.Set("Credits/"..idiomas[i].."/Based")
	Cargador.Set("Credits/"..idiomas[i].."/Blaster")
	Cargador.Set("Credits/"..idiomas[i].."/Cezar")
	Cargador.Set("Credits/"..idiomas[i].."/Flames")
	Cargador.Set("Credits/"..idiomas[i].."/Made")
	Cargador.Set("Credits/"..idiomas[i].."/Music")
	Cargador.Set("Credits/"..idiomas[i].."/Papyrus")
	Cargador.Set("Credits/"..idiomas[i].."/Phase 1")
	Cargador.Set("Credits/"..idiomas[i].."/Phase 2")
	Cargador.Set("Credits/"..idiomas[i].."/Phase 3")
	Cargador.Set("Credits/"..idiomas[i].."/Phase 4")
	Cargador.Set("Credits/"..idiomas[i].."/Song 2")
	Cargador.Set("Credits/"..idiomas[i].."/Song")
	Cargador.Set("Credits/"..idiomas[i].."/Thanks")
	Cargador.Set("Credits/"..idiomas[i].."/THE END")
	Cargador.Set("Credits/"..idiomas[i].."/Theme 1")
	Cargador.Set("Credits/"..idiomas[i].."/Theme 2")
	Cargador.Set("Credits/"..idiomas[i].."/Theme 3")
	Cargador.Set("Credits/"..idiomas[i].."/Themes")
	Cargador.Set("Credits/"..idiomas[i].."/Undertale")
end
Cargador.Set("Credits/GB")
Cargador.Set("Credits/Phase 1")
Cargador.Set("Credits/Phase 2")
Cargador.Set("Credits/Phase 3")
Cargador.Set("Credits/Phase 4")
for i=1,14 do
	Cargador.Set("Death Egg Robot/Eggman/"..i)
end
Cargador.Set("Death Egg Robot/Eggman/ded")
for i=1,6 do
	Cargador.Set("Death Egg Robot/fingers/"..i)
end
Cargador.Set("Death Egg Robot/arm")
Cargador.Set("Death Egg Robot/body")
Cargador.Set("Death Egg Robot/elbow arm")
Cargador.Set("Death Egg Robot/elbow leg")
Cargador.Set("Death Egg Robot/foot")
Cargador.Set("Death Egg Robot/hand")
Cargador.Set("Death Egg Robot/head")
Cargador.Set("Death Egg Robot/leg")
Cargador.Set("Death Egg Robot/lenght 1")
Cargador.Set("Death Egg Robot/lenght 2")
Cargador.Set("Distorsion/1")
Cargador.Set("Distorsion/2")
Cargador.Set("Distorsion/3")
local directions = {"L", "R"}
for i=1,2 do
	for j=1,6 do
		Cargador.Set("Egg Bots/"..directions[i].."/Egg Bot 1-"..j)
	end
	Cargador.Set("Egg Bots/"..directions[i].."/Egg Bot 2-1")
	Cargador.Set("Egg Bots/"..directions[i].."/Egg Bot 2-2")
end
Cargador.Set("Egg Dog/Bullets/Body")
Cargador.Set("Egg Dog/Bullets/DogL 1")
Cargador.Set("Egg Dog/Bullets/DogL 2")
Cargador.Set("Egg Dog/Bullets/DogR 1")
Cargador.Set("Egg Dog/Bullets/DogR 2")
Cargador.Set("Egg Dog/Bullets/Egg")
Cargador.Set("Egg Dog/Bullets/Head")
Cargador.Set("Egg Dog/Bullets/Shard 1")
Cargador.Set("Egg Dog/Bullets/Shard 2")
Cargador.Set("Egg Dog/Bullets/Shard 3")
Cargador.Set("Egg Dog/Bullets/Shard 4")
Cargador.Set("Egg Dog/Body")
Cargador.Set("Egg Dog/Death")
Cargador.Set("Egg Dog/Head")
Cargador.Set("Egg Dog/Ouch")
Cargador.Set("Eggs/bottomeggL 1")
Cargador.Set("Eggs/bottomeggL 2")
Cargador.Set("Eggs/bottomeggR 1")
Cargador.Set("Eggs/bottomeggR 2")
Cargador.Set("Eggs/egg 1")
Cargador.Set("Eggs/egg 2")
Cargador.Set("Eggs/topeggL")
Cargador.Set("Eggs/topeggR")
Cargador.Set("Flames/Falling/1")
Cargador.Set("Flames/Falling/2")
Cargador.Set("Flames/Falling/3")
Cargador.Set("Flames/Falling/4")
for i=1,8 do
	Cargador.Set("Flames/Normal/"..i)
end
for i=1,2 do
	Cargador.Set("Flashbacks/Aaron "..i)
	Cargador.Set("Flashbacks/Asgore "..i)
	Cargador.Set("Flashbacks/Dogamy "..i)
	Cargador.Set("Flashbacks/Dogaressa "..i)
	Cargador.Set("Flashbacks/Flowey "..i)
	Cargador.Set("Flashbacks/Froggit "..i)
	Cargador.Set("Flashbacks/Guard "..i)
	Cargador.Set("Flashbacks/Knight "..i)
	Cargador.Set("Flashbacks/Madjick "..i)
	Cargador.Set("Flashbacks/Mettaton "..i)
	Cargador.Set("Flashbacks/Muffet "..i)
	Cargador.Set("Flashbacks/Papyrus "..i)
	Cargador.Set("Flashbacks/Flowey "..i)
	Cargador.Set("Flashbacks/Sans "..i)
	Cargador.Set("Flashbacks/Temmie "..i)
	Cargador.Set("Flashbacks/Toriel "..i)
	Cargador.Set("Flashbacks/Undyne "..i)
	Cargador.Set("Flashbacks/Vegetoid "..i)
end
Cargador.Set("Flashbacks/Papyrus 3")
Cargador.Set("Flashbacks/Papyrus 4")
Cargador.Set("Flashbacks/Sans 3")
Cargador.Set("Flashbacks/Sans 4")
Cargador.Set("Flashbacks/Sans 5")
Cargador.Set("Flashbacks/Sans 6")
Cargador.Set("Flashbacks/Toriel 3")
Cargador.Set("Flashbacks/Undyne 3")
for i=0,10 do
	Cargador.Set("Numbers/"..i)
end
Cargador.Set("Papyrus/Arms/Block")
Cargador.Set("Papyrus/Arms/Blocking")
Cargador.Set("Papyrus/Arms/Broken")
Cargador.Set("Papyrus/Arms/CrabL")
Cargador.Set("Papyrus/Arms/CrabR")
Cargador.Set("Papyrus/Arms/CrusherL")
Cargador.Set("Papyrus/Arms/CrusherR Inv")
Cargador.Set("Papyrus/Arms/CrusherR")
Cargador.Set("Papyrus/Arms/Crying Left Hand")
Cargador.Set("Papyrus/Arms/Crying Right Hand")
Cargador.Set("Papyrus/Arms/Death Left Hand")
Cargador.Set("Papyrus/Arms/Death Right Hand")
Cargador.Set("Papyrus/Arms/Left Angry Detail")
Cargador.Set("Papyrus/Arms/Left Angry")
Cargador.Set("Papyrus/Arms/Left Hand")
Cargador.Set("Papyrus/Arms/Left Tired 2")
Cargador.Set("Papyrus/Arms/Left Tired Detail")
Cargador.Set("Papyrus/Arms/Left Tired")
Cargador.Set("Papyrus/Arms/Left Tired Detail")
Cargador.Set("Papyrus/Arms/Return")
Cargador.Set("Papyrus/Arms/Returning")
Cargador.Set("Papyrus/Arms/Right Angry")
Cargador.Set("Papyrus/Arms/Right Hand")
Cargador.Set("Papyrus/Arms/Right Tired 2")
Cargador.Set("Papyrus/Arms/Right Tired Inv")
Cargador.Set("Papyrus/Arms/Right Tired")
Cargador.Set("Papyrus/Body/Angry")
Cargador.Set("Papyrus/Body/BackBone")
Cargador.Set("Papyrus/Body/Disbelief")
Cargador.Set("Papyrus/Body/Front Arm")
Cargador.Set("Papyrus/Body/Front")
Cargador.Set("Papyrus/Body/My style")
Cargador.Set("Papyrus/Body/NO!")
Cargador.Set("Papyrus/Body/OUCH!")
Cargador.Set("Papyrus/Body/Suffering")
Cargador.Set("Papyrus/Body/You little...")
Cargador.Set("Papyrus/Body/You'll see")
Cargador.Set("Papyrus/Glow/1")
Cargador.Set("Papyrus/Glow/2")
Cargador.Set("Papyrus/Glow/3")
Cargador.Set("Papyrus/Head/Phase 1/...")
Cargador.Set("Papyrus/Head/Phase 1/Attacking")
Cargador.Set("Papyrus/Head/Phase 1/Believe")
Cargador.Set("Papyrus/Head/Phase 1/Blocking")
Cargador.Set("Papyrus/Head/Phase 1/Crying")
Cargador.Set("Papyrus/Head/Phase 1/Death")
Cargador.Set("Papyrus/Head/Phase 1/Disappointed")
Cargador.Set("Papyrus/Head/Phase 1/Finally!")
Cargador.Set("Papyrus/Head/Phase 1/Forgiving")
Cargador.Set("Papyrus/Head/Phase 1/Missing")
Cargador.Set("Papyrus/Head/Phase 1/Normal")
Cargador.Set("Papyrus/Head/Phase 1/Nyehehehe")
Cargador.Set("Papyrus/Head/Phase 1/Oh")
Cargador.Set("Papyrus/Head/Phase 1/Okay...")
Cargador.Set("Papyrus/Head/Phase 1/OUCH")
Cargador.Set("Papyrus/Head/Phase 1/Regretted")
Cargador.Set("Papyrus/Head/Phase 1/Remembering")
Cargador.Set("Papyrus/Head/Phase 1/Sans...")
Cargador.Set("Papyrus/Head/Phase 1/Sorry")
Cargador.Set("Papyrus/Head/Phase 1/STOP")
Cargador.Set("Papyrus/Head/Phase 1/WAAA~")
Cargador.Set("Papyrus/Head/Phase 1/Wait...")
Cargador.Set("Papyrus/Head/Phase 1/What")
Cargador.Set("Papyrus/Head/Phase 1/Why...")
Cargador.Set("Papyrus/Head/Phase 1/Worried")
Cargador.Set("Papyrus/Head/Phase -1/Let's Begin")
Cargador.Set("Papyrus/Head/Phase -1/Sad")
Cargador.Set("Papyrus/Head/Phase -1/What")
Cargador.Set("Papyrus/Head/Phase -1/Whatever")
Cargador.Set("Papyrus/Head/Phase -1/Why")
Cargador.Set("Papyrus/Head/Phase 2/Cleaning")
for i=1,10 do
	Cargador.Set("Papyrus/Head/Phase 2/Cry"..i)
end
Cargador.Set("Papyrus/Head/Phase 2/Cute")
Cargador.Set("Papyrus/Head/Phase 2/Determined")
Cargador.Set("Papyrus/Head/Phase 2/ENOUGH!")
Cargador.Set("Papyrus/Head/Phase 2/GET READY!")
Cargador.Set("Papyrus/Head/Phase 2/Great")
Cargador.Set("Papyrus/Head/Phase 2/However")
Cargador.Set("Papyrus/Head/Phase 2/I see")
Cargador.Set("Papyrus/Head/Phase 2/I see2")
Cargador.Set("Papyrus/Head/Phase 2/NYEH HEH HEH!")
Cargador.Set("Papyrus/Head/Phase 2/NYEH!")
Cargador.Set("Papyrus/Head/Phase 2/Nyehehe...")
Cargador.Set("Papyrus/Head/Phase 2/Sans...")
Cargador.Set("Papyrus/Head/Phase 2/Sans2...")
Cargador.Set("Papyrus/Head/Phase 2/Snif")
Cargador.Set("Papyrus/Head/Phase 2/Snif2")
Cargador.Set("Papyrus/Head/Phase 2/Stare")
Cargador.Set("Papyrus/Head/Phase 2/Stare2")
Cargador.Set("Papyrus/Head/Phase 2/Tired")
Cargador.Set("Papyrus/Head/Phase 2/Upseted")
Cargador.Set("Papyrus/Head/Phase 2/Upseted2")
Cargador.Set("Papyrus/Head/Phase 2/Useless")
Cargador.Set("Papyrus/Head/Phase 2/Well...")
Cargador.Set("Papyrus/Head/Phase 2/Well2...")
Cargador.Set("Papyrus/Head/Phase 3/Angry")
Cargador.Set("Papyrus/Head/Phase 3/Disgust")
Cargador.Set("Papyrus/Head/Phase 3/err...")
Cargador.Set("Papyrus/Head/Phase 3/Happy")
Cargador.Set("Papyrus/Head/Phase 3/heh...")
Cargador.Set("Papyrus/Head/Phase 3/Normal 1")
Cargador.Set("Papyrus/Head/Phase 3/Normal 2")
Cargador.Set("Papyrus/Head/Phase 3/Normal 3")
Cargador.Set("Papyrus/Head/Phase 3/nyeh...")
Cargador.Set("Papyrus/Head/Phase 3/Ready")
Cargador.Set("Papyrus/Head/Phase 3/Regreat")
Cargador.Set("Papyrus/Head/Phase 3/Sad")
Cargador.Set("Papyrus/Head/Phase 3/Start1")
Cargador.Set("Papyrus/Head/Phase 3/Start2")
Cargador.Set("Papyrus/Head/Phase 3/Start3")
Cargador.Set("Papyrus/Head/Phase 3/Start4")
Cargador.Set("Papyrus/Head/Phase 3/Thinking")
Cargador.Set("Papyrus/Head/Phase 3/umm...")
Cargador.Set("Papyrus/Head/Phase 4/...")
Cargador.Set("Papyrus/Head/Phase 4/Believe")
Cargador.Set("Papyrus/Head/Phase 4/Come on")
Cargador.Set("Papyrus/Head/Phase 4/Dying 1")
Cargador.Set("Papyrus/Head/Phase 4/Dying 2")
Cargador.Set("Papyrus/Head/Phase 4/Dying 3")
Cargador.Set("Papyrus/Head/Phase 4/HEY!")
Cargador.Set("Papyrus/Head/Phase 4/huh")
Cargador.Set("Papyrus/Head/Phase 4/Look!")
Cargador.Set("Papyrus/Head/Phase 4/NO!")
Cargador.Set("Papyrus/Head/Phase 4/NYEH HEH")
Cargador.Set("Papyrus/Head/Phase 4/nyeh...")
Cargador.Set("Papyrus/Head/Phase 4/Please")
Cargador.Set("Papyrus/Head/Phase 4/Power")
Cargador.Set("Papyrus/Head/Phase 4/Thinking")
Cargador.Set("Papyrus/Head/Phase 4/Tired")
Cargador.Set("Papyrus/Head/Phase 4/WAIT!")
Cargador.Set("Papyrus/Head/Phase 4/Well")
Cargador.Set("Papyrus/Head/Phase 4/YES!")
for i=0,40 do
	Cargador.Set("Papyrus/Legs/Phase 2/"..i)
end
for i=0,51 do
	Cargador.Set("Papyrus/Legs/Phase 3/"..i)
end
Cargador.Set("Papyrus/Legs/Begin")
Cargador.Set("Papyrus/Legs/Front")
Cargador.Set("Papyrus/Legs/Given Up")
Cargador.Set("Papyrus/Legs/Normal")
Cargador.Set("Papyrus/Legs/Serious")
Cargador.Set("Papyrus/Angry 1")
Cargador.Set("Papyrus/Angry 2")
Cargador.Set("Papyrus/Dance 1")
Cargador.Set("Papyrus/Dance 2")
Cargador.Set("Papyrus/Disgust 1")
Cargador.Set("Papyrus/Disgust 2")
Cargador.Set("Papyrus/Surprised 1")
Cargador.Set("Papyrus/Surprised 2")
Cargador.Set("Papyrus/Brillo")
Cargador.Set("Papyrus/Death Jaw")
Cargador.Set("Papyrus/Deforme")
Cargador.Set("Papyrus/Distorsion")
Cargador.Set("Papyrus/Ghost")
Cargador.Set("Papyrus/Jaw Dying 1")
Cargador.Set("Papyrus/Jaw Dying 2")
Cargador.Set("Papyrus/Jaw")
Cargador.Set("Papyrus/Papyrus Shadow")
Cargador.Set("Papyrus/Silla")
Cargador.Set("Papyrus/Spaghetti")
Cargador.Set("Sans/Body/Down")
Cargador.Set("Sans/Body/Joking")
Cargador.Set("Sans/Body/Left")
Cargador.Set("Sans/Body/Left-Right")
Cargador.Set("Sans/Body/Right")
Cargador.Set("Sans/Body/Up")
Cargador.Set("Sans/Body/Up-Down")
Cargador.Set("Sans/Head/angry")
Cargador.Set("Sans/Head/Funny")
Cargador.Set("Sans/Head/Joking")
Cargador.Set("Sans/Head/mmm...")
Cargador.Set("Sans/Head/Normal")
Cargador.Set("Sans/Head/Power 1")
Cargador.Set("Sans/Head/Power 2")
Cargador.Set("Sans/Head/Presure")
Cargador.Set("Sans/Head/Sleepy")
Cargador.Set("Sans/Head/Surprised")
Cargador.Set("Sans/Head/Wink")
Cargador.Set("Sans/Head/Worried")
Cargador.Set("Sans/Head/Yawn")
Cargador.Set("Sans/Head/Yummy")
Cargador.Set("Sans/Aura")
Cargador.Set("Sans/NewAura")
Cargador.Set("Sans/Dance 1")
Cargador.Set("Sans/Dance 2")
Cargador.Set("Sans/Joke")
Cargador.Set("Sans/Ketchup")
Cargador.Set("Sans/Legs Joking")
Cargador.Set("Sans/Legs")
Cargador.Set("Sans/Z")
Cargador.Set("Shocks/1")
Cargador.Set("Shocks/2")
Cargador.Set("Shocks/3")
Cargador.Set("Shocks/4")
Cargador.Set("Soul Shards/1")
Cargador.Set("Soul Shards/2")
Cargador.Set("Soul Shards/3")
Cargador.Set("Soul Shards/4")
Cargador.Set("Specials/1")
Cargador.Set("Specials/2")
Cargador.Set("Specials/3")
Cargador.Set("Specials/4")
Cargador.Set("Specials/Alteracion 1")
Cargador.Set("Specials/Alteracion 2")
Cargador.Set("Specials/Alteracion 3")
Cargador.Set("Specials/Alteracion 4")
Cargador.Set("Specials/Alteracion 5")
Cargador.Set("Specials/Background Lines")
Cargador.Set("Specials/Background")
Cargador.Set("Specials/Box")
Cargador.Set("Specials/Ded")
Cargador.Set("Specials/Green Mode")
Cargador.Set("Specials/Huir")
Cargador.Set("Specials/K")
Cargador.Set("Specials/Line")
Cargador.Set("Specials/Memory 1")
Cargador.Set("Specials/Memory 2")
Cargador.Set("Specials/Memory 3")
Cargador.Set("Specials/Memory 4")
Cargador.Set("Specials/MISS")
Cargador.Set("Specials/Objetivo")
Cargador.Set("Specials/ParteL")
Cargador.Set("Specials/ParteR")
Cargador.Set("Specials/R")
Cargador.Set("Specials/Shield 1")
Cargador.Set("Specials/Shield 2")
Cargador.Set("Specials/Skip")
Cargador.Set("Specials/Soul")
Cargador.Set("Specials/Spare 2 English")
Cargador.Set("Specials/Spare 2 Spanish")
Cargador.Set("Specials/Spare English")
Cargador.Set("Specials/Spare Spanish")
Cargador.Set("Specials/Target 1")
Cargador.Set("Specials/Target 2")
Cargador.Set("target/arrow 1")
Cargador.Set("target/arrow 2")
Cargador.Set("target/arrow 3")
Cargador.Set("target/arrow 4")
Cargador.Set("target/pointer 1")
Cargador.Set("target/pointer 2")
Cargador.Set("target/target 1")
Cargador.Set("target/target 2")
Cargador.Set("target/target 3")
Cargador.Set("Undyne/Head/Hurt")
Cargador.Set("Undyne/Head/Laugh 1")
Cargador.Set("Undyne/Head/Laugh 2")
Cargador.Set("Undyne/Head/Laugh 3")
Cargador.Set("Undyne/Head/Mean Look")
Cargador.Set("Undyne/Head/Normal")
Cargador.Set("Undyne/ArmL")
Cargador.Set("Undyne/ArmR")
Cargador.Set("Undyne/Dress")
Cargador.Set("Undyne/Eye")
Cargador.Set("Undyne/Hair")
Cargador.Set("Undyne/Legs")
Cargador.Set("Undyne/Rafaga 1")
Cargador.Set("Undyne/Rafaga 2")
Cargador.Set("Undyne/Torso")
Cargador.Set("92 HP")
Cargador.Set("Advice English")
Cargador.Set("Advice Spanish")
Cargador.Set("blackL")
Cargador.Set("blackR")
Cargador.Set("BLOCKED English")
Cargador.Set("BLOCKED Spanish")
Cargador.Set("bomb 1")
Cargador.Set("bomb 2")
Cargador.Set("boom")
Cargador.Set("Chara")
Cargador.Set("Circle")
Cargador.Set("ERR")
Cargador.Set("Flee 1 English")
Cargador.Set("Flee 1 Spanish")
Cargador.Set("Flee 2 English")
Cargador.Set("Flee 2 Spanish")
Cargador.Set("HeartFlee 1")
Cargador.Set("HeartFlee 2")
Cargador.Set("LV 19")
Cargador.Set("Pixel")
Cargador.Set("REPELED English")
Cargador.Set("REPELED Spanish")
Cargador.Set("Rotatory Arena Pixel")
Cargador.Set("Text Part 1 English")
Cargador.Set("Text Part 1 Spanish")
Cargador.Set("Text Part 1v2 English")
Cargador.Set("Text Part 1v2 Spanish")
Cargador.Set("Text Part 2 English")
Cargador.Set("Text Part 2 Spanish")
Cargador.Set("Text Part 2v2 English")
Cargador.Set("Text Part 2v2 Spanish")
Cargador.Remove()
Cargador = nil

function Update()
	if CYFversion ~= "0.6.4" then
		error("READ BEFORE ASKING\n\nI'm sorry but it seems you have a different version of CYF than the one required for this mod.\n\nYOU NEED CYF 0.6.4 TO PLAY THIS MOD, NOT HIGHER NOT LOWER.\n\nThis is to avoid some bugs and errors than happen because of other versions, thanks for reading and have a nice day.", 0)
	end
	Black.Remove()
	Encounter["nextwaves"] = {"Menu"}
	State("DEFENDING")
end